import 'package:flutter/material.dart';

class PreferencesState {
  final ThemeMode themeMode;
  final Map<ThemeMode, ColorScheme> colorScheme;
  final Locale locale;

  PreferencesState({
    required this.themeMode,
    required this.colorScheme,
    required this.locale,
  });

  PreferencesState copyWith({
    ThemeMode? themeMode,
    Map<ThemeMode, ColorScheme>? colorScheme,
    Locale? locale,
  }) {
    return PreferencesState(
      themeMode: themeMode ?? this.themeMode,
      colorScheme: colorScheme ?? this.colorScheme,
      locale: locale ?? this.locale,
    );
  }
}
